<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCareProvidersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: care_providers
         */
        Schema::create('care_providers', function ($table) {
            $table->increments('id');
            $table->string('first_name', 255)->nullable();
            $table->string('last_name', 100)->nullable();
            $table->string('email', 255)->nullable();
            $table->integer('phone')->nullable();
            $table->date('dob')->nullable();
            $table->text('address_line1')->nullable();
            $table->text('address_line2')->nullable();
            $table->string('city', 255)->nullable();
            $table->string('post_code', 255)->nullable();
            $table->integer('state_id')->nullable();
            $table->enum('package_type', ['NDIS','HCP'])->nullable();
            $table->string('type', 200)->nullable();
            $table->enum('self_managed', ['on','off'])->nullable();
            $table->string('care_provider', 255)->nullable();
            $table->string('care_first_name', 255)->nullable();
            $table->string('care_last_name', 255)->nullable();
            $table->string('care_email', 255)->nullable();
            $table->integer('care_phone')->nullable();
            $table->string('submitted_by', 200)->nullable();
            $table->string('referel_source', 200)->nullable();
            $table->integer('terms')->nullable();
            $table->string('user_type', 255)->nullable();
            $table->integer('user_id')->nullable();
            $table->integer('company_id')->nullable();
            $table->integer('case_manager_id')->nullable();
            $table->integer('status')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('care_providers');
    }
}
