Lavalite package that provides care_provider management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/care_provider`.

    "b2buy/care_provider": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\CareProvider\Providers\CareProviderServiceProvider::class,

And also add it to alias

    'CareProvider'  => B2buy\CareProvider\Facades\CareProvider::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\CareProviderTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\CareProvider\Providers\CareProviderServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\CareProvider\Providers\CareProviderServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\CareProvider\Providers\CareProviderServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/care_provider/{modulename}

**User**

    http://path-to-route-folder/user/care_provider/{modulename}

**Public**

    http://path-to-route-folder/care_providers


### API endpoints

**List**

    http://path-to-route-folder/api/user/care_provider/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/care_provider/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/care_provider/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/care_provider/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/care_provider/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/care_provider/{modulename}/{slug}
    METHOD: GET